API ReferencePre EncounterImagesV1
Get image
Gets an image by imageId.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
id*pre-encounterimagesv1ImageId
The unique identifier for an Image
Response Body
application/json
application/json
curl -X GET "https://example.com/images/v1/string"{ "id": "string", "signed_url": "string", "organization_id": "string", "deactivated": true, "version": 0, "updated_at": "2019-08-24T14:15:22Z", "updating_user_id": "string", "file_name": "string", "display_name": "string", "file_type": "string", "status": "PENDING", "coverage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "side": "FRONT" }, "patient": { "id": "string", "notes": "string" }}Create image POST
Adds an image. VersionConflictError is returned if a front or back of this coverage already exists.
Deactivate image DELETE
Sets an Image as deactivated. The path must contain the version being written, which is the object's current version plus 1 (a create returns version 0, so the first deactivate uses 1). Sending the current version returns 409 Version conflict.